
ISIS - Bug #2374

cattests not using test preferences

2015-11-30 08:10 AM - Stuart Sides

Status: Closed   

Priority: High   

Assignee: Jesse Mapel   

Category: Infrastructure   

Target version: 3.4.13 (FY16 R3 2016-08-31 Aug)   

Impact: No impact on any ISIS programs. Software Version:  

Description

The category tests do not use the test preferences. They should be using them the same way application tests are. It appears the

cattests are loading the user preferences which are overriding the ones from the

$ISISROOT/src/base/objs/Preferences/TestPreferences file.

Related issues:

Related to ISIS - Documentation #3884: Category Test How To should be updated Closed

History

#1 - 2016-01-26 02:12 PM - Stuart Sides

- Description updated

- Priority changed from Normal to High

#2 - 2016-03-29 09:02 AM - Stuart Sides

- Assignee set to Jesse Mapel

- Target version set to 3.4.13 (FY16 R3 2016-08-31 Aug)

#3 - 2016-03-29 09:11 AM - Jesse Mapel

- Status changed from Acknowledged to In Progress

#4 - 2016-04-01 03:21 PM - Jesse Mapel

- Impact updated

#5 - 2016-04-01 03:21 PM - Jesse Mapel

- Impact updated

#6 - 2016-04-01 03:53 PM - Jesse Mapel

- Impact updated

Calls to isis apps in category tests should all have $(TSTARGS) after the app name.  If the app name is stored in the APPNAME variable, like in app

tests, then do not add $(TSTARGS).

#7 - 2016-04-01 04:49 PM - Jesse Mapel

- Related to Documentation #3884: Category Test How To should be updated added

#8 - 2016-04-05 10:02 AM - Jesse Mapel

- Status changed from In Progress to Resolved

#9 - 2016-04-11 11:32 AM - Stuart Sides

- Status changed from Resolved to Closed
